TICKIT_TERM_INPUT_PUSH_BYTES(3)

NAME
tickit_term_input_push_bytes - supply more input data

SYNOPSIS
    #include <tickit.h>

    void tickit_term_input_push_bytes(TickitTerm *tt, const char *bytes, size_t len);

Link with -ltickit.

DESCRIPTION
tickit_term_push_input_bytes() supplies more data to the terminal instance, as if it had been read from a terminal file descriptor. Calling this function may result in TICKIT_EV_KEY or TICKIT_EV_MOUSE events being invoked.

This function also invokes deferred TICKIT_EV_RESIZE events if enabled by tickit_term_observe_sigwinch(3).

RETURN VALUE
tickit_term_input_push_bytes() returns no value.

SEE ALSO
tickit_term_build(3), tickit_term_input_readable(3), tickit_term_bind_event(3), tickit_term(7), tickit(7)